## stterm 0.0~20091219+hg68

=== Makefile ===
# st - simple terminal
# See LICENSE file for copyright and license details.

include config.mk

SRC = st.c
OBJ = ${SRC:.c=.o}

all: options st

options:
	@echo st build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

st: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f st ${OBJ} st-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p st-${VERSION}
	@cp -R LICENSE Makefile README config.mk st.h ${SRC} st-${VERSION}
	@tar -cf st-${VERSION}.tar st-${VERSION}
	@gzip st-${VERSION}.tar
	@rm -rf st-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f st ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/st
	@tic st.info

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/st

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
stterm (0.0~20091219+hg68-4) unstable; urgency=low

  * debian/control
    - (Description): Correct units to MiB (Closes: #584649).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 05 Jun 2010 13:27:55 +0300

stterm (0.0~20091219+hg68-3) unstable; urgency=low

  * debian/upstream.changelog
    - Update content (Closes: #583920).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Jun 2010 08:34:54 +0300

stterm (0.0~20091219+hg68-2) unstable; urgency=low

  * Bug fix release
    - Prevent tic(1) from writing to $HOME and handle terminfo
      file install in postinst script (FTBFS; Closes: #583627).
  * debian/patches
    - (20): New. Change terminal name from st to stterm.
  * debian/postinst
    - New file.
  * debian/rules
    - Move to full dh(1).
  * debian/stterm.install
    - Delete. Handled in debian/rules.
  * debian/upstream.changelog
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 May 2010 09:14:51 +0300

stterm (0.0~20091219+hg68-1) unstable; urgency=low

  * Initial release (Closes: #560596).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 14 Feb 2010 01:02:03 +0200

=== debian/control ===
Source: stterm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), libx11-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/stterm.git
Vcs-Git: git://git.debian.org/git/collab-maint/stterm.git
Homepage: http://st.suckless.org

Package: stterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an extremely simple terminal for windowed system
 Stterm is a bare bones terminal emulator developed with a focus on
 simplicity and clarity as the primary goals. It is very lightweight
 consuming only approximately (2+25 reserved+virtual) MiB memory.
 The suckless software project's philosophy is about keeping things
 simple, minimal and usable.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE		= stterm
ORIGBIN		= st
CHANGELOG	= debian/upstream.changelog

BIN		= $(PACKAGE)
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
BINDIR		= $(PKGDIR)/usr/bin
SHAREROOTDIR	= $(PKGDIR)/usr/share
DOCROOTDIR	= $(SHAREROOTDIR)/doc
PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)

# Run manually
get-changelog:
	# hg clone http://hg.suckless.org/st
	# hg log | head -n 100 > $(CHANGELOG)

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installinfo:
	# Disable; the *.info is not a info(1) but a terminfo file

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_install: man
	# Upstream no good. Calls tic(1) which writes to $$HOME
	# $(MAKE) PREFIX=/usr DESTDIR=$(PKGDIR) install

	# Rename binary to reflect "term"
	install -m 755 -D $(ORIGBIN) $(BINDIR)/$(BIN)

	install -m 644 -D \
		$(ORIGBIN).info \
		$(PKGDOCDIR)/examples/$(PACKAGE).terminfo

%:
	dh $@

.PHONY: man

# End of file

## stterm 0.0~20110920+hg212

=== debian/changelog ===
stterm (0.0~20110920+hg212-1) unstable; urgency=low

  * New upstream release.
  * debian/clean
    - Add config.h.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): debhelper 8.
    - (Description): update firs line.
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP 5.
  * debian/patches
    - (10): Delete. Accepted upstream: options -V, --version.
    - (12): New. Replaced by patches 11-fix-compile and 12-version.
    - (13): Delete. Accepted upstream: do not display Ctrl, Alt key
      messages.
    - (20): Refresh.
  * debian/rules
    - (get-changelog): update instructions.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Sep 2011 12:56:21 +0300

=== debian/control ===
Source: stterm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8), libx11-dev
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/stterm.git
Vcs-Git: git://git.debian.org/git/collab-maint/stterm.git
Homepage: http://st.suckless.org

Package: stterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bare bones and simple terminal for windowed system
 Stterm is a bare bones terminal emulator developed with a focus on
 simplicity and clarity as the primary goals. It is very lightweight
 consuming only approximately (2+25 reserved+virtual) MiB memory.
 The suckless software projects philosophy is about keeping things
 simple, minimal and usable.

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 DOCROOTDIR	= $(SHAREROOTDIR)/doc
 PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
 
-# Run manually
 get-changelog:
-	# hg clone http://hg.suckless.org/st
-	# hg log | head -n 100 > $(CHANGELOG)
+	# hg cannot list logs at remote URL, so run these manually
+	@echo "hg clone http://hg.suckless.org/st"
+	@echo "hg log | head -n 100 > $$(pwd)/$(CHANGELOG)"
 
 man:
 	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

## stterm 0.0~20120124+hg226

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 	@echo "CFLAGS   = ${CFLAGS}"
 	@echo "LDFLAGS  = ${LDFLAGS}"
 	@echo "CC       = ${CC}"
+
+config.h:
+	cp config.def.h config.h
 
 .c.o:
 	@echo CC $<
@@ -31,7 +34,7 @@
 dist: clean
 	@echo creating dist tarball
 	@mkdir -p st-${VERSION}
-	@cp -R LICENSE Makefile README config.mk st.h ${SRC} st-${VERSION}
+	@cp -R LICENSE Makefile README config.mk config.def.h st.info st.1 ${SRC} st-${VERSION}
 	@tar -cf st-${VERSION}.tar st-${VERSION}
 	@gzip st-${VERSION}.tar
 	@rm -rf st-${VERSION}
@@ -41,10 +44,16 @@
 	@mkdir -p ${DESTDIR}${PREFIX}/bin
 	@cp -f st ${DESTDIR}${PREFIX}/bin
 	@chmod 755 ${DESTDIR}${PREFIX}/bin/st
-	@tic st.info
+	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
+	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
+	@sed "s/VERSION/${VERSION}/g" < st.1 > ${DESTDIR}${MANPREFIX}/man1/st.1
+	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/st.1
+	@tic -s st.info
 
 uninstall:
 	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
 	@rm -f ${DESTDIR}${PREFIX}/bin/st
+	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
+	@rm -f ${DESTDIR}${MANPREFIX}/man1/st.1
 
 .PHONY: all options clean dist install uninstall

=== debian/changelog ===
stterm (0.0~20120124+hg226-2) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
    - (override_dh_auto_build): New.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 15:45:22 -0400

stterm (0.0~20120124+hg226-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - Set LDFLAGS via dpkg-buildflags(1).
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 05 Feb 2012 10:11:26 +0200

stterm (0.0~20110920+hg212-4) unstable; urgency=low

  * debian/rules
    - (terminfo): New. Run tic(1) at install time (Closes: #656557).
  * debian/{postinst,postrm}: Delete. Tic is now called in debian/rules.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 23 Jan 2012 21:09:31 +0200

stterm (0.0~20110920+hg212-3) unstable; urgency=low

  * debian/postinst
    - Delete files created in postinst by tic(1) (Closes: #656557).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 20 Jan 2012 15:36:11 +0200

stterm (0.0~20110920+hg212-2) unstable; urgency=low

  * debian/patches
    - (20): Correct terminal id from "st" to "stterm" (Closes: #656114).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 17 Jan 2012 20:27:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), libx11-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libx11-dev
+Standards-Version: 3.9.3.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/stterm.git
 Vcs-Git: git://git.debian.org/git/collab-maint/stterm.git
 Homepage: http://st.suckless.org

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE		= stterm
ORIGBIN		= st
CHANGELOG	= debian/upstream.changelog

BIN		= $(PACKAGE)
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
BINDIR		= $(PKGDIR)/usr/bin
SHAREROOTDIR	= $(PKGDIR)/usr/share
DOCROOTDIR	= $(SHAREROOTDIR)/doc
PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
TERMINFO	= $(PKGDIR)/usr/share/terminfo

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# From original sources: config.mk

CFLAGS += -std=c99 --param=ssp-buffer-size=4 \
	  -I/usr/include -I/usr/X11R6/include -DVERSION=\"0.1.1\"

LDFLAGS += -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 -lutil

get-changelog:
	# hg cannot list logs at remote URL, so run these manually
	@echo "hg clone http://hg.suckless.org/st"
	@echo "hg log | head -n 100 > $$(pwd)/$(CHANGELOG)"

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

terminfo:
	install -m 755 -d $(TERMINFO)/s
	TERMINFO=$(TERMINFO) tic $(ORIGBIN).info

override_dh_auto_build:
	# Can't inject build flags to makefile; compile by hand
	cp config.def.h config.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(ORIGBIN).c -o $(BIN) $(LDFLAGS)
	rm -f config.h

override_dh_installinfo:
	# Disable; the *.info is not a info(1) but a terminfo file

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_install: man terminfo
	# Upstream no good. Calls tic(1) which writes to $HOME
	install -m 755 -D $(BIN) $(BINDIR)/$(BIN)
	install -m 644 -D \
		$(ORIGBIN).info \
		$(PKGDOCDIR)/examples/$(PACKAGE).terminfo

%:
	dh $@

.PHONY: man terminfo

# End of file

## stterm 0.0~20120227+hg244

=== debian/changelog ===
stterm (0.0~20120227+hg244-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    - (13): New. Update name st to stterm in window title.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 21 Jul 2012 10:57:50 +0300

## stterm 0.3+20121116+hg424

=== Makefile ===
--- 
+++ 
@@ -48,6 +48,8 @@
 	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
 	@sed "s/VERSION/${VERSION}/g" < st.1 > ${DESTDIR}${MANPREFIX}/man1/st.1
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/st.1
+	@echo If things do not seem to work, be sure that there is no \
+		floating st terminfo in the .terminfo directory in your home dir.
 	@tic -s st.info
 
 uninstall:

=== debian/changelog ===
stterm (0.3+20121116+hg424-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): Add libfreetype6-dev, libxext-dev, pkg-config,
      libxft-dev.
    - (Standards-Version): Update to 3.9.4.
  * debian/patches
    - (12, 13, 20): Refresh for current release.
    - (30): New. Use name stterm-256. Patch thanks to John Vogel
      <jvogel4@stny.rr.com> (Closes: #693494).
  * debian/rules
    - (CFLAGS, LDFLAGS): Update for latest release.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Nov 2012 12:48:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), libx11-dev
-Standards-Version: 3.9.3.1
+Build-Depends: debhelper (>= 9), libx11-dev, libfreetype6-dev,
+ libxext-dev, pkg-config, libxft-dev
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/stterm.git
 Vcs-Git: git://git.debian.org/git/collab-maint/stterm.git
 Homepage: http://st.suckless.org

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 PACKAGE		= stterm
 ORIGBIN		= st
 CHANGELOG	= debian/upstream.changelog
+UPSTREAM_DIR    = ../upstream.hg
 
 BIN		= $(PACKAGE)
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
@@ -21,14 +22,18 @@
 # From original sources: config.mk
 
 CFLAGS += -std=c99 --param=ssp-buffer-size=4 \
-	  -I/usr/include -I/usr/X11R6/include -DVERSION=\"0.1.1\"
+	  -I/usr/include -I/usr/X11R6/include -DVERSION=\"0.3\" \
+	  $$(pkg-config --cflags freetype2)
 
-LDFLAGS += -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 -lutil
+LDFLAGS += -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 -lutil -lXext -lXft -lfontconfig
 
 get-changelog:
 	# hg cannot list logs at remote URL, so run these manually
-	@echo "hg clone http://hg.suckless.org/st"
-	@echo "hg log | head -n 100 > $$(pwd)/$(CHANGELOG)"
+	# hg cannot list logs at remote URL, so run these manually
+	[ -d $(UPSTREAM_DIR) ] || hg clone http://hg.suckless.org/st $(UPSTREAM_DIR)
+
+	pwd=$$(pwd); \
+	cd $(UPSTREAM_DIR) hg log | head -n 100 > $$pwd/$(CHANGELOG)"
 
 man:
 	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

## stterm 0.4.1+20130501+git8618386

=== debian/changelog ===
stterm (0.4.1+20130501+git8618386-1) unstable; urgency=low

  * New upstream release (Closes: #706549).
  * debian/copyright
    - (X-Vcs-Git): Update from Hg to Git repository.
  * debian/patches
    - (12, 13, 20, 30): Refresh for current release.
  * debian/rules
    - Update build flags for current release. E.g VERSION 0.4.1.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 01 May 2013 22:14:31 +0300

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,23 @@
 export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# Needed for gcc:
+# warning: implicit declaration of function 'unsetenv'
+# warning: implicit declaration of function 'setenv'
+# warning: implicit declaration of function 'nanosleep'
+# warning: implicit declaration of function 'kill'
+
+export DEB_CFLAGS_MAINT_APPEND += -D_POSIX_C_SOURCE=200112L
+
+# warning: implicit declaration of function 'strsep'
+
+export DEB_CFLAGS_MAINT_APPEND += \
+    -D_BSD_SOURCE -D_XOPEN_SOURCE=600
+
 # From original sources: config.mk
 
 CFLAGS += -std=c99 --param=ssp-buffer-size=4 \
-	  -I/usr/include -I/usr/X11R6/include -DVERSION=\"0.3\" \
+	  -I/usr/include -I/usr/X11R6/include -DVERSION=\"0.4.1\" \
 	  $$(pkg-config --cflags freetype2)
 
 LDFLAGS += -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 -lutil -lXext -lXft -lfontconfig

## stterm 0.4.1+20130526+gitb514410

=== debian/changelog ===
stterm (0.4.1+20130526+gitb514410-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Description): Add reference to suckless tools and mention
      original binary name "st".
  * debian/patches
    - Sync with release.
    - (20): Update *.info file terminal descriptions.
    - (35): Update manual page for name stterm.
  * debian/upstream.changelog
    - Sync with release.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 31 May 2013 12:44:29 +0300

stterm (0.4.1+20130511+git8f47c4a-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - Update year.
  * debian/rules
    - (get-changelog): Update to new Git repository.
  * debian/upstream.changelog
    - Sync with release (Closes: #709318).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 23 May 2013 10:51:36 +0300

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,12 @@
 Package: stterm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: bare bones and simple terminal for windowed system
+Description: suckless tools simple terminal for windowed system
  Stterm is a bare bones terminal emulator developed with a focus on
  simplicity and clarity as the primary goals. It is very lightweight
- consuming only approximately (2+25 reserved+virtual) MiB memory.
- The suckless software projects philosophy is about keeping things
- simple, minimal and usable.
+ consuming only approximately (2+25 reserved+virtual) MiB memory. The
+ suckless software projects philosophy is about keeping things simple,
+ minimal and usable.
+ .
+ Note: the original binary name "st" is this package is "stterm" for
+ "suckless tools terminal".

## stterm 0.4.1+20130609+git5d3318c

=== debian/changelog ===
stterm (0.4.1+20130609+git5d3318c-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Sync emails and license text
  * debian/upstream.changelog
    - Sync with release.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 Jun 2013 10:48:23 +0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 9), libx11-dev, libfreetype6-dev,
  libxext-dev, pkg-config, libxft-dev
 Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/stterm.git
-Vcs-Git: git://git.debian.org/git/collab-maint/stterm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stterm.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/stterm.git
 Homepage: http://st.suckless.org
 
 Package: stterm

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 PACKAGE		= stterm
 ORIGBIN		= st
 CHANGELOG	= debian/upstream.changelog
-UPSTREAM_DIR    = ../upstream.hg
+UPSTREAM_DIR    = ../upstream.git
+UPSTREAM_VCS    = http://git.suckless.org/st
 
 BIN		= $(PACKAGE)
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
@@ -41,12 +42,10 @@
 LDFLAGS += -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 -lutil -lXext -lXft -lfontconfig
 
 get-changelog:
-	# hg cannot list logs at remote URL, so run these manually
-	# hg cannot list logs at remote URL, so run these manually
-	[ -d $(UPSTREAM_DIR) ] || hg clone http://hg.suckless.org/st $(UPSTREAM_DIR)
+	[ -d $(UPSTREAM_DIR) ] || git clone $(UPSTREAM_VCS) $(UPSTREAM_DIR)
 
 	pwd=$$(pwd); \
-	cd $(UPSTREAM_DIR) hg log | head -n 100 > $$pwd/$(CHANGELOG)"
+	cd $(UPSTREAM_DIR) && git log | head -n 100 > "$$pwd/$(CHANGELOG)"
 
 man:
 	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

## stterm 0.4.1+20130921+giteeae9b0

=== debian/changelog ===
stterm (0.4.1+20130921+giteeae9b0-1) unstable; urgency=low

  * New upstream release.
  * pod2man.mk, debian-vars.mk, stterm.1.pod, stterm.manpages
    - Delete; no longer needed (Closes: #724096).
  * debian/patch
    - Refresh patches.
  * debian/rules
    - (man): delete.
    - (override_dh_auto_install): install manual page.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 25 Sep 2013 08:27:18 +0300

stterm (0.4.1+20130812+git4579693-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Provides): add x-terminal-emulator.
  * debian/upstream.changelog
    - Sync with release.
  * debian/patches
    - Sync with release (quilt refresh).
    - (36, 40): New. Change command line option form -t to -T
      according to policy: 11.8.3 Packages providing a terminal emulator.
  * debian/{postinst,prerm}
    - New. Install x-terminal-emulator alternatives.
  * debian/repack.sh
    - Minor updates.
  * debian/rules
    - (get-changelog): Clean EOL whitespaces.
  * debian/*.mk
    - Minor updates.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 16 Aug 2013 09:04:29 +0300

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Package: stterm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: x-terminal-emulator
 Description: suckless tools simple terminal for windowed system
  Stterm is a bare bones terminal emulator developed with a focus on
  simplicity and clarity as the primary goals. It is very lightweight
@@ -19,5 +20,5 @@
  suckless software projects philosophy is about keeping things simple,
  minimal and usable.
  .
- Note: the original binary name "st" is this package is "stterm" for
+ Note: the original binary name "st" in this package is "stterm" for
  "suckless tools terminal".

=== debian/watch ===
version=3
opts="dversionmangle=s//0.0/" \
  http://st.suckless.org/ .*tip(.*)\.tar\.gz

## stterm 0.5+20140606+gitc2fd275

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,7 @@
 	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
 	@sed "s/VERSION/${VERSION}/g" < st.1 > ${DESTDIR}${MANPREFIX}/man1/st.1
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/st.1
-	@echo If things do not seem to work, be sure that there is no \
-		floating st terminfo in the .terminfo directory in your home dir.
+	@echo Please see the README file regarding the terminfo entry of st.
 	@tic -s st.info
 
 uninstall:

=== debian/changelog ===
stterm (0.5+20140606+gitc2fd275-1) unstable; urgency=low

  * New upstream release.
    - Thanks to Markus <waldeck@gmx.de> for the heads up.
    - Fix warning about missing fontset (Closes: #606149).
    - Option "-g" now works correctly.
  * debian/control
    - (Standards-Version): Update to 3.9.5.
  * debian/copyright
    - Update years.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 15 Jun 2014 18:55:14 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), libx11-dev, libfreetype6-dev,
  libxext-dev, pkg-config, libxft-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stterm.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/stterm.git
 Homepage: http://st.suckless.org

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,11 @@
 
 #export DH_VERBOSE=1
 
+
 PACKAGE		= stterm
+# Needed for st.1 fix up
+VERSION         = 0.4.1
+
 ORIGBIN		= st
 CHANGELOG	= debian/upstream.changelog
 UPSTREAM_DIR    = ../upstream.git
@@ -15,6 +19,8 @@
 DOCROOTDIR	= $(SHAREROOTDIR)/doc
 PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
 TERMINFO	= $(PKGDIR)/usr/share/terminfo
+MANROOTDIR	= $(SHAREROOTDIR)/man
+MAN1DIR		= $(MANROOTDIR)/man1
 
 export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
 export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
@@ -45,10 +51,8 @@
 	[ -d $(UPSTREAM_DIR) ] || git clone $(UPSTREAM_VCS) $(UPSTREAM_DIR)
 
 	pwd=$$(pwd); \
-	cd $(UPSTREAM_DIR) && git log | head -n 100 > "$$pwd/$(CHANGELOG)"
-
-man:
-	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman
+	cd $(UPSTREAM_DIR) && git log | head -n 100 | \
+	sed 's/ *$$//' > "$$pwd/$(CHANGELOG)"
 
 terminfo:
 	install -m 755 -d $(TERMINFO)/s
@@ -66,12 +70,14 @@
 override_dh_installchangelogs:
 	dh_installchangelogs $(CHANGELOG)
 
-override_dh_auto_install: man terminfo
+override_dh_auto_install: terminfo
 	# Upstream no good. Calls tic(1) which writes to $HOME
 	install -m 755 -D $(BIN) $(BINDIR)/$(BIN)
 	install -m 644 -D \
 		$(ORIGBIN).info \
 		$(PKGDOCDIR)/examples/$(PACKAGE).terminfo
+	install -D st.1 $(MAN1DIR)/stterm.1
+	sed --in-place "s/-VERSION/-$(VERSION)/" $(MAN1DIR)/stterm.1
 
 %:
 	dh $@

## stterm 0.6

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 dist: clean
 	@echo creating dist tarball
 	@mkdir -p st-${VERSION}
-	@cp -R LICENSE Makefile README config.mk config.def.h st.info st.1 ${SRC} st-${VERSION}
+	@cp -R LICENSE Makefile README config.mk config.def.h st.info st.1 arg.h ${SRC} st-${VERSION}
 	@tar -cf st-${VERSION}.tar st-${VERSION}
 	@gzip st-${VERSION}.tar
 	@rm -rf st-${VERSION}

=== debian/changelog ===
stterm (0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #820376)
  * Update debian/watch
  * Refresh patches

  [ Gianfranco Costamagna ]
  * Bump std-version to 3.9.8
  * Fix insecure VCS fields.

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 15 May 2016 18:46:37 +0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), libx11-dev, libfreetype6-dev,
  libxext-dev, pkg-config, libxft-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stterm.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/stterm.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/stterm.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/stterm.git
 Homepage: http://st.suckless.org
 
 Package: stterm

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	  -I/usr/include -I/usr/X11R6/include -DVERSION=\"0.4.1\" \
 	  $$(pkg-config --cflags freetype2)
 
-LDFLAGS += -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 -lutil -lXext -lXft -lfontconfig
+LDFLAGS += -s -L/usr/lib -lc -L/usr/X11R6/lib -lX11 -lutil -lXext -lXft -lfontconfig -lm
 
 get-changelog:
 	[ -d $(UPSTREAM_DIR) ] || git clone $(UPSTREAM_VCS) $(UPSTREAM_DIR)

=== debian/watch ===
version=3
http://git.suckless.org/st/refs /st/snapshot/st-(.*)\.tar\.gz

## stterm 0.8.1

=== Makefile ===
# st - simple terminal
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

SRC = st.c x.c
OBJ = $(SRC:.c=.o)

all: options st

options:
	@echo st build options:
	@echo "CFLAGS  = $(STCFLAGS)"
	@echo "LDFLAGS = $(STLDFLAGS)"
	@echo "CC      = $(CC)"

config.h:
	cp config.def.h config.h

.c.o:
	$(CC) $(STCFLAGS) -c $<

st.o: config.h st.h win.h
x.o: arg.h st.h win.h

$(OBJ): config.h config.mk

st: $(OBJ)
	$(CC) -o $@ $(OBJ) $(STLDFLAGS)

clean:
	rm -f st $(OBJ) st-$(VERSION).tar.gz

dist: clean
	mkdir -p st-$(VERSION)
	cp -R FAQ LEGACY TODO LICENSE Makefile README config.mk\
		config.def.h st.info st.1 arg.h st.h win.h $(SRC)\
		st-$(VERSION)
	tar -cf - st-$(VERSION) | gzip > st-$(VERSION).tar.gz
	rm -rf st-$(VERSION)

install: st
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp -f st $(DESTDIR)$(PREFIX)/bin
	chmod 755 $(DESTDIR)$(PREFIX)/bin/st
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s/VERSION/$(VERSION)/g" < st.1 > $(DESTDIR)$(MANPREFIX)/man1/st.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/st.1
	tic -sx st.info
	@echo Please see the README file regarding the terminfo entry of st.

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/st
	rm -f $(DESTDIR)$(MANPREFIX)/man1/st.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
stterm (0.8.1-1) unstable; urgency=medium

  * New upstream version (closes: #838372)
  * New maintainer: Paride Legovini (closes: #909663)
  * Standard-Version 4.2.1 (no changes needed)
  * Compat level 11 (with B-D on debhelper-compat)
  * Do not install the terminfo file
  * Depend on libncurses-term (provides st's terminfo)
  * Drop the unused build-dependency on libxext-dev
  * Dropped all the patches. Now:
    - TERM is st-256color (closes: #785219, #838439);
    - The binary is installed as 'st', with a 'stterm' symlink.

 -- Paride Legovini <pl@ninthfloor.org>  Tue, 13 Nov 2018 22:35:13 +0000

=== debian/control ===
Source: stterm
Section: x11
Priority: optional
Maintainer: Paride Legovini <pl@ninthfloor.org>
Build-Depends: debhelper-compat (= 11),
               libx11-dev,
               libxft-dev,
               pkg-config
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/st
Vcs-Git: https://salsa.debian.org/debian/st.git
Homepage: https://st.suckless.org

Package: stterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ncurses-term (>= 6.1+20180714-1)
Provides: x-terminal-emulator
Multi-Arch: foreign
X-Comment:
 The versioned dependency for ncurses-term is on the first update after the
 terminfo entry for st has been last updated in the terminfo database. This
 can be checked in <https://invisible-island.net/ncurses/NEWS.html>.
Description: simple terminal emulator for X
 st is a terminal emulator from the suckless project with a focus on
 simplicity, clarity and frugality. The project's philosophy is about
 keeping things simple, minimal and usable.
 .
 st supports most VT10X escape sequences, serial lines, XIM, utmp via
 utmp(1), clipboard handling, mouse and keyboard shortcuts, UTF-8, wide
 characters, resize, 256 colors, true colors, antialiased fonts (using
 fontconfig), fallback fonts, and line drawing. It does *not* provide
 a scrollback buffer: users are encouraged to use a terminal multiplexter.
 .
 This Debian package is called 'stterm' for historical reasons.

## stterm 0.8.2

=== debian/changelog ===
stterm (1:0.8.2-20190828+2b8333f) unstable; urgency=medium

  * Rebase patches on top of upstream 2b8333f

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Wed, 28 Aug 2019 19:50:34 +0200

stterm (1:0.7-20170622+b331da5) unstable; urgency=medium

  * Rebase patches on top of upstream b331da5

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Thu, 22 Jun 2017 18:37:00 +0200

stterm (1:0.7-20160820+1) unstable; urgency=medium

  * Fixed stterm patch to change TERM

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Sat, 08 Oct 2016 01:41:49 +0200

stterm (1:0.7-20160820) unstable; urgency=medium

  * Rebase patches patches on top of upstream 0.7

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Sat, 20 Aug 2016 23:29:08 +0200

stterm (1:0.6-gitd83656+1) unstable; urgency=medium

  * added man page

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Mon, 23 Nov 2015 15:32:45 +0100

stterm (1:0.6-gitd83656) unstable; urgency=medium

  * Bump to 0.6 + git d83656

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Thu, 19 Nov 2015 16:48:49 +0100

stterm (1:0.5-git190b94d+1) unstable; urgency=medium

  * Fix stterm.patch to also change window title

 -- Christian <christian.ratzenhofer@cdnm.at>  Wed, 29 Apr 2015 20:21:33 +0200

stterm (1:0.5-git190b94c) unstable; urgency=medium

  * Rebase patches on top of upstream 190b94c
  * Bump version above debian jessie

 -- Christian <christian.ratzenhofer@cdnm.at>  Mon, 27 Apr 2015 14:44:47 +0200

stterm (0.5-git56abffb) unstable; urgency=low

  * Rebase patches on top of upstream 56abffb

 -- Christian <christian.ratzenhofer@cdnm.at>  Sat, 18 Apr 2015 19:19:10 +0200

stterm (0.5-5) unstable; urgency=low

  * Fix using print

 -- Christian <christian.ratzenhofer@cdnm.at>  Tue, 17 Mar 2015 17:32:05 +0100

stterm (0.5-4) unstable; urgency=low

  * Include upstream fixes for primary selection
  * Added Ctrl+Shift+C

 -- Christian Ratzenhofer <christian@chris-laptop3.christian.local>  Tue, 17 Mar 2015 17:16:08 +0100

stterm (0.5-3) unstable; urgency=low

  * Added Ctrl+Shift+V

 -- Christian Ratzenhofer <christian@chris-laptop3.christian.local>  Tue, 17 Mar 2015 11:33:18 +0100

stterm (0.5-2) unstable; urgency=low

  * Rename package and binary to stterm to fix conflict with suckless-tools

 -- Christian Ratzenhofer <christian@chris-laptop3.christian.local>  Tue, 17 Mar 2015 10:48:02 +0100

stterm (0.5-1) unstable; urgency=low

  * Initial release, finally a proper terminal emulator

 -- Christian <christian.ratzenhofer@cdnm.at>  Mon, 16 Mar 2015 09:34:19 +0100

=== debian/control ===
Source: stterm
Section: x11
Priority: optional
Maintainer: Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>
Build-Depends: debhelper-compat (= 12), libx11-dev, libxft-dev
Standards-Version: 4.3.0
Homepage: http://st.suckless.org/

Package: stterm
Architecture: any
Depends: xfonts-terminus, ${shlibs:Depends}, ${misc:Depends} pkg-config
Provides: x-terminal-emulator
Description: bare bones and simple terminal for windowed system
 Stterm is a bare bones terminal emulator developed with a focus on
 simplicity and clarity as the primary goals. It is very lightweight
 consuming only approximately (2+25 reserved+virtual) MiB memory.
 The suckless software projects philosophy is about keeping things
 simple, minimal and usable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
PACKAGE		= stterm
ORIGBIN		= st

BIN		= $(PACKAGE)
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
BINDIR		= $(PKGDIR)/usr/bin
SHAREROOTDIR	= $(PKGDIR)/usr/share
DOCROOTDIR	= $(SHAREROOTDIR)/doc
PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
TERMINFO	= $(PKGDIR)/usr/share/terminfo
MANDIR 	= $(SHAREROOTDIR)/man/man1

terminfo:
	install -m 755 -d $(TERMINFO)/s
	TERMINFO=$(TERMINFO) tic $(ORIGBIN).info

override_dh_auto_install: terminfo
	# Upstream no good. Calls tic(1) which writes to $HOME
	install -m 755 -D $(BIN) $(BINDIR)/$(BIN)
	install -m 644 -D $(ORIGBIN).info $(PKGDOCDIR)/examples/$(PACKAGE).terminfo
	install -m 644 -D st.1 $(MANDIR)/stterm.1

%:
	dh $@

## stterm 0.8.3

=== debian/changelog ===
stterm (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3.
  * Install the FAQ and LEGAGY files.
  * d/control:
    - bump the dh compat level to 13.
    - bump Standards-Version to 4.5.0 (no changes needed).
    - specify Rules-Requires-Root: no.
    - use the paride@debian.org alias in Uploaders.
  * d/rules:
    - stop enforcing -Wl,--as-needed (now done by default).
    - drop override_dh_auto_build (CPPFLAGS now supported upstream).

 -- Paride Legovini <paride@debian.org>  Sun, 17 May 2020 17:18:33 +0000

stterm (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.1 (closes: 921961)
  * Drop all the patches (upstreamed)

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 11 Feb 2019 10:54:52 +0000

stterm (0.8.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Bump debhelper compat level to 12 (no changes needed)
  * Patch: allow pkg-config substitution for crossbuilding.
    Fixes FTCBFS. Closes: #900901. Thanks: Helmut Grohne.

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 03 Jan 2019 15:48:26 +0000

=== debian/control ===
Source: stterm
Section: x11
Priority: optional
Maintainer: Paride Legovini <paride@debian.org>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxft-dev,
               pkg-config
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/st
Vcs-Git: https://salsa.debian.org/debian/st.git
Homepage: https://st.suckless.org
Rules-Requires-Root: no

Package: stterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ncurses-term (>= 6.1+20180714-1)
Provides: x-terminal-emulator
Multi-Arch: foreign
X-Comment:
 The versioned dependency for ncurses-term is on the first update after the
 terminfo entry for st has been last updated in the terminfo database. This
 can be checked in <https://invisible-island.net/ncurses/NEWS.html>.
Description: simple terminal emulator for X
 st is a terminal emulator from the suckless project with a focus on
 simplicity, clarity and frugality. The project's philosophy is about
 keeping things simple, minimal and usable.
 .
 st supports most VT10X escape sequences, serial lines, XIM, utmp via
 utmp(1), clipboard handling, mouse and keyboard shortcuts, UTF-8, wide
 characters, resize, 256 colors, true colors, antialiased fonts (using
 fontconfig), fallback fonts, and line drawing. It does *not* provide
 a scrollback buffer: users are encouraged to use a terminal multiplexter.
 .
 This Debian package is called 'stterm' for historical reasons.

## stterm 0.8.4

=== debian/changelog ===
stterm (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4.
  * d/control: rewrap (wrap-and-sort -ast).
  * d/gbp.conf: set compression = xz.

 -- Paride Legovini <paride@debian.org>  Tue, 07 Jul 2020 18:37:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Paride Legovini <paride@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               libx11-dev,
-               libxft-dev,
-               pkg-config
+Build-Depends:
+ debhelper-compat (= 13),
+ libx11-dev,
+ libxft-dev,
+ pkg-config,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/st
 Vcs-Git: https://salsa.debian.org/debian/st.git
@@ -14,8 +15,12 @@
 
 Package: stterm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ncurses-term (>= 6.1+20180714-1)
-Provides: x-terminal-emulator
+Depends:
+ ncurses-term (>= 6.1+20180714-1),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ x-terminal-emulator,
 Multi-Arch: foreign
 X-Comment:
  The versioned dependency for ncurses-term is on the first update after the

=== debian/rules ===
#!/usr/bin/make -f

# Needed for the st.1 VERSION fixup in override_dh_installman.
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	# The upstream install target runs tic(1), and we don't want to. We could patch
	# the command away, but it is simpler to install the couple of files we actually
	# want using debhelper. Let's disable dh_auto_install.

override_dh_installman:
	dh_installman
	sed -i "s/VERSION/$(DEB_VERSION_UPSTREAM)/g" $(CURDIR)/debian/stterm/usr/share/man/man1/st.1

## stterm 0.8.5

=== debian/changelog ===
stterm (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * d/rules: use execute_after targets where appropriate
  * d/gbp.conf: debian-branch = debian/latest (DEP-14)
  * d/copyright:
    - update copyright data for debian/*
    - clarify who got written permission for arg.h

 -- Paride Legovini <paride@debian.org>  Mon, 14 Mar 2022 22:41:11 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libx11-dev,
  libxft-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/st
 Vcs-Git: https://salsa.debian.org/debian/st.git
 Homepage: https://st.suckless.org

## stterm 0.9

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	$(CC) $(STCFLAGS) -c $<
 
 st.o: config.h st.h win.h
-x.o: arg.h st.h win.h
+x.o: arg.h config.h st.h win.h
 
 $(OBJ): config.h config.mk

=== debian/changelog ===
stterm (0.9-1) unstable; urgency=medium

  * New upstream version 0.9
  * d/p/0001-fix-buffer-overflow-when-handling-long-composed-inpu.patch.
    New patch (upstream cherry-pick).
  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/st.desktop: add desktop entry (Closes: #1020790)
  * d/stterm.alternatives: configure x-terminal-emulator alternative.
    Also: drop d/stterm.postinst and prerm: the maintainer scripts
    were only used to handle alternatives.

 -- Paride Legovini <paride@debian.org>  Sat, 12 Nov 2022 00:11:02 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libx11-dev,
  libxft-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/st
 Vcs-Git: https://salsa.debian.org/debian/st.git
 Homepage: https://st.suckless.org

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" git://git.suckless.org/st refs/tags/([\d\.]+)

## stterm 0.9.2

=== debian/changelog ===
stterm (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
  * d/patches: drop all patches (upstreamed)
  * d/control: bump Standards-Version to 4.7.0, no changes needed
  * d/control: replace obsolete Build-Depends: pkg-config with pkgconf
  * d/copyright: bump copyright years for debian/*

 -- Paride Legovini <paride@debian.org>  Fri, 27 Sep 2024 14:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  debhelper-compat (= 13),
  libx11-dev,
  libxft-dev,
- pkg-config,
-Standards-Version: 4.6.1
+ pkgconf,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/st
 Vcs-Git: https://salsa.debian.org/debian/st.git
 Homepage: https://st.suckless.org

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,5 @@
 	# the command away, but it is simpler to install the couple of files we actually
 	# want using debhelper. Let's disable dh_auto_install.
 
-override_dh_installman:
-	dh_installman
+execute_after_dh_installman:
 	sed -i "s/VERSION/$(DEB_VERSION_UPSTREAM)/g" $(CURDIR)/debian/stterm/usr/share/man/man1/st.1

## stterm 0.9.3

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,7 @@
 SRC = st.c x.c
 OBJ = $(SRC:.c=.o)
 
-all: options st
-
-options:
-	@echo st build options:
-	@echo "CFLAGS  = $(STCFLAGS)"
-	@echo "LDFLAGS = $(STLDFLAGS)"
-	@echo "CC      = $(CC)"
+all: st
 
 config.h:
 	cp config.def.h config.h
@@ -54,4 +48,4 @@
 	rm -f $(DESTDIR)$(PREFIX)/bin/st
 	rm -f $(DESTDIR)$(MANPREFIX)/man1/st.1
 
-.PHONY: all options clean dist install uninstall
+.PHONY: all clean dist install uninstall

=== debian/changelog ===
stterm (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * d/control: bump Standards-Version to 4.7.2, no changes needed
  * d/watch: update to format version 5
  * d/watch: switch from a git:// source url to https://
  * d/copyright: bump copyright years for debian/*
  * d/stterm.links: drop stterm symlink; mention this in NEWS.Debian
  * d/u/metadata: remove unknown fields and sort
  * d/control: declare X-Style: black
  * New patches to allow usage of upstream Makefile install target:
    - d/p/no-install-terminfo.diff
    - d/p/set-install-prefix.diff
  * Migrate to debputy (full-integration)

 -- Paride Legovini <paride@debian.org>  Wed, 10 Sep 2025 19:09:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: x11
 Priority: optional
 Maintainer: Paride Legovini <paride@debian.org>
+Build-Driver: debputy
 Build-Depends:
- debhelper-compat (= 13),
+ debputy (>= 0.1.75~),
+ dpkg-dev (>= 1.22.7~),
  libx11-dev,
  libxft-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/st
 Vcs-Git: https://salsa.debian.org/debian/st.git
 Homepage: https://st.suckless.org
-Rules-Requires-Root: no
+X-Style: black
 
 Package: stterm
 Architecture: any
 Depends:
  ncurses-term (>= 6.1+20180714-1),
- ${misc:Depends},
- ${shlibs:Depends},
 Provides:
  x-terminal-emulator,
 Multi-Arch: foreign

=== debian/watch ===
Version: 5

Source: https://git.suckless.org/st
Matching-Pattern: refs/tags/([\d\.]+)
Mode: git
Pgp-Mode: none
